Subject: Re: linux-next: build failure after merge of the amdgpu and powerpc-fixes trees

From: Stephen Rothwell <[email-masked]>
Date: Thu, 28 Jul 2022 12:11:09 +1000

Hi all,

On Thu, 28 Jul 2022 00:17:49 +1000 Michael Ellerman <[email-masked]> wrote:
>
> Stephen Rothwell <[email-masked]> writes:
> >
> > After merging the amdgpu tree, today's linux-next build (powerpc
> > allyesconfig) failed like this:
> >
> > ld: drivers/gpu/drm/amd/display/dc/dml/display_mode_lib.o uses hard float, drivers/gpu/drm/amd/display/dc/dcn30/dcn30_optc.o uses soft float
> > ld: failed to merge target specific data of file drivers/gpu/drm/amd/display/dc/dcn30/dcn30_optc.o
> >
> > I have reverted commit
> >
> >   c653c591789b ("drm/amdgpu: Re-enable DCN for 64-bit powerpc")
> >
> > for today.  
> 
> It bisects to:
> 
>   40b31e5355ba ("drm/amd/display: Remove FPU flags from DCN30 Makefile")
> 
> So I guess there's still some float code in dcn30?

I have reverted commit 40b31e5355ba from the merge of the drm tree today (since
it has been merged in there) instead of commit c653c591789b.

-- 
Cheers,
Stephen Rothwell